Package org.gradle.api.logging.configuration

# Interface LoggingConfiguration

All Known Implementing Classes:
  `StartParameter`

public interface LoggingConfiguration
A `LoggingConfiguration` defines the logging settings for a Gradle build.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConsoleOutput`
  `getConsoleOutput()`
  Returns the style of logging output that should be written to the console.
  `ConsoleUnicodeSupport`
  `getConsoleUnicodeSupport()`
  Returns the type of characters that should be written to the console.
  `LogLevel`
  `getLogLevel()`
  Returns the minimum logging level to use.
  `ShowStacktrace`
  `getShowStacktrace()`
  Returns the detail that should be included in stacktraces.
  `WarningMode`
  `getWarningMode()`
  Specifies which type of warnings should be written to the console.
  `boolean`
  `isNonInteractive()`
  Can the build do interactive prompting on the console.
  `void`
  `setConsoleOutput(ConsoleOutput consoleOutput)`
  Specifies the style of logging output that should be written to the console.
  `void`
  `setConsoleUnicodeSupport(ConsoleUnicodeSupport unicodeSupport)`
  Specifies the use of Unicode characters in the console output.
  `void`
  `setLogLevel(LogLevel logLevel)`
  Specifies the minimum logging level to use.
  `void`
  `setNonInteractive(boolean nonInteractive)`
  Sets if the build can do interactive prompting on the console.
  `void`
  `setShowStacktrace(ShowStacktrace showStacktrace)`
  Sets the detail that should be included in stacktraces.
  `void`
  `setWarningMode(WarningMode warningMode)`
  Specifies which type of warnings should be written to the console.

- ## Method Details

  - ### getLogLevel

    LogLevel getLogLevel()
    Returns the minimum logging level to use. All log messages with a lower log level are ignored. Defaults to `LogLevel.LIFECYCLE`.

  - ### setLogLevel

    void setLogLevel(LogLevel logLevel)
    Specifies the minimum logging level to use. All log messages with a lower log level are ignored.

  - ### getConsoleOutput

    ConsoleOutput getConsoleOutput()
    Returns the style of logging output that should be written to the console. Defaults to `ConsoleOutput.Auto`

  - ### getConsoleUnicodeSupport

    @Incubating ConsoleUnicodeSupport getConsoleUnicodeSupport()
    Returns the type of characters that should be written to the console. Defaults to `ConsoleUnicodeSupport.Auto`
    Since:
      9.4.0

  - ### setConsoleOutput

    void setConsoleOutput(ConsoleOutput consoleOutput)
    Specifies the style of logging output that should be written to the console.

  - ### setConsoleUnicodeSupport

    @Incubating void setConsoleUnicodeSupport(ConsoleUnicodeSupport unicodeSupport)
    Specifies the use of Unicode characters in the console output.
    Since:
      9.4.0

  - ### getWarningMode

    WarningMode getWarningMode()
    Specifies which type of warnings should be written to the console.
    Since:
      4.5

  - ### setWarningMode

    void setWarningMode(WarningMode warningMode)
    Specifies which type of warnings should be written to the console.
    Since:
      4.5

  - ### isNonInteractive

    @Incubating boolean isNonInteractive()
    Can the build do interactive prompting on the console.
    Since:
      9.6.0

  - ### setNonInteractive

    @Incubating void setNonInteractive(boolean nonInteractive)
    Sets if the build can do interactive prompting on the console.
    Since:
      9.6.0

  - ### getShowStacktrace

    ShowStacktrace getShowStacktrace()
    Returns the detail that should be included in stacktraces. Defaults to `ShowStacktrace.INTERNAL_EXCEPTIONS`.

  - ### setShowStacktrace

    void setShowStacktrace(ShowStacktrace showStacktrace)
    Sets the detail that should be included in stacktraces.